/*----------------------------------------------------------------------------
  Project: cxxx <http://cxplorer.sourceforge.net>
  File   : CCxxxAbout.h
  Info   : $Id: CCxxxAbout.h,v 1.8 2012/05/06 18:57:36 gkraeuter Exp $
----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
  Copyright © 2002 - 2012 Gerhard Kräuter <gkraeuter@users.sourceforge.net>

  This  software  is  provided  'as-is',  without  any  express  or  implied
  warranty.  In  no  event  will  the authors be held liable for any damages
  arising from the use of this software.

  Permission  is  granted  to  anyone  to use this software for any purpose,
  including  commercial  applications,  and  to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The  origin  of  this software must not be misrepresented; you must not
     claim  that  you  wrote the original software. If you use this software
     in  a  product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.

----------------------------------------------------------------------------*/

#ifndef CCxxxAbout_h
#define CCxxxAbout_h

// C++X headers
#include <cxxx/CLabel.h>
#include <cxxx/CPushButton.h>

class CCxxxAbout : public CTopLevelWindow
{
	enum
	{
		// Message IDs
		IDOK = cxxx::msgid::MSGID_CCxxxAbout
	};

public:
	// Constructor
	CCxxxAbout(CWindow* parent);

	// X event processing
	virtual void OnExpose(XExposeEvent& e);

	// C++X message processing
	virtual void OnMessage(unsigned msgid, TMessage type, unsigned value);

	// Exit
	virtual void OnQuit();

protected:
	CIcon mIcon;
	CLabel mLabel1;
	CLabel mLabel2;
	CPushButton mButton;
};

#endif // CCxxxAbout_h
