/*----------------------------------------------------------------------------
  Project: Xplorer <http://cxplorer.sourceforge.net>
  File   : CXplorerTool.h
  Info   : $Id: CXplorerTool.h,v 1.10 2012/05/06 18:59:35 gkraeuter Exp $
----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------
  Copyright © 2002 - 2012 Gerhard Kräuter <gkraeuter@users.sourceforge.net>

  This  program  is  free software: you can redistribute it and/or modify it
  under  the  terms  of  the  GNU General Public License as published by the
  Free Software Foundation,  either  version  3  of the License, or (at your
  option) any later version.

  This  program  is  distributed  in  the  hope  that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  or  FITNESS FOR A PARTICULAR PURPOSE.  See the  GNU General Public License
  for more details.

  You  should  have  received a copy of the GNU General Public License along
  with this program. If not, see  <http://www.gnu.org/licenses/>.
----------------------------------------------------------------------------*/

#ifndef CXplorerTool_h
#define CXplorerTool_h

// C++X headers
#include <cxxx/CWindow.h>
#include <cxxx/CToolButton.h>

class CXplorerTool : public CWindow
{
public:
	// Constructor
	CXplorerTool(CWindow* parent);

	// X event processing
	virtual void OnConfigure(XConfigureEvent& e);

protected:
	CToolButton mUp;
	CToolButton mBack;
	CToolButton mForward;
	CToolButton mHome;
	CToolButton mRefresh;
	CToolButton mCut;
	CToolButton mCopy;
	CToolButton mPaste;
};

#endif // CXplorerTool_h
